from __future__ import annotations

from typing import TYPE_CHECKING, Tuple, Union

from core.state import Layer

if TYPE_CHECKING:
    from ..Mouse import Mouse


class IComponentListener:

    def worldCellClicked(self, cell: Tuple[int, int], mouse: Mouse):
        pass

    def worldCellEntered(self, cell: Tuple[int, int], mouse: Mouse, dragging: bool):
        pass

    def mainBrushSelected(self, layerName: str, value: Union[int, str]):
        pass

    def secondaryBrushSelected(self, layerName: str, value: Union[int, str]):
        pass
